Skip to main content
PATCH
/
api
/
v2
/
platform
/
promotion_categories
/
{id}
Update a Promotion Category
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({promotion_category: {name: 'Promotions Used in 2021', code: '2021-PROMOS'}})
};

fetch('http://{defaultHost}/api/v2/platform/promotion_categories/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "8",
    "type": "promotion_category",
    "attributes": {
      "name": "2021 Promotions",
      "created_at": "2022-11-08T19:34:59.309Z",
      "updated_at": "2022-11-08T19:34:59.539Z",
      "code": "2021-Promos"
    },
    "relationships": {
      "promotions": {
        "data": []
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
promotion_category
object
required

Response

Record updated

data
object
required